import React, {Component} from 'react';
import {IndexRoute, Route} from 'react-router';

var getRouteConfig = function(getPageBundle, options, getNextState){

  var returnArray = [];
  let routeConfig = { 
    path: '/',
    childRoutes: [{
      path: '*',
      getComponents(nextState, callback) {
        try {
          var pathName = nextState.location.pathname;
          var pageName = pathName.indexOf("/") != -1 ? pathName.slice(1) : pathName;
          var pageBundle = getPageBundle(pageName);
          if(getNextState) {
            getNextState(nextState)  //将nextState开发给业务(临时方案)
          }
        } catch(e) {
          return callback(e);
        }
        pageBundle(function(page) {
          callback(null, page);
        })
      }
    }]
  }
  
  routeConfig = Object.assign(routeConfig, options);
  return routeConfig;
}
export default getRouteConfig;
