"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = KeyMirrorPlus;

var _keyMirror = require("./keyMirror");

var _keyMirror2 = _interopRequireDefault(_keyMirror);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//转换成对象
//输入["a", "b"]
//输出{"a":"a", "b":"b"}
var type = ["REQUEST", "SUCCESS", "FAILURE"]; /**
                                               * Created by liubo on 16/1/28.
                                               */


var createObj = function createObj(keys) {
    var obj = {};
    keys.forEach(function (k, i, arr) {
        obj[k] = null;
        type.forEach(function (t) {
            obj[k + "_" + t] = null;
        });
    });
    return obj;
};

//创建常量
function KeyMirrorPlus(keys) {
    return (0, _keyMirror2.default)(createObj(keys));
};
module.exports = exports['default'];