'use strict';

/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function () {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'sys-icon\'">' + entity + '</span>' + html;
	}
	var icons = {
		'sys-icon-add': '&#xe907;',
		'sys-icon-app': '&#xe908;',
		'sys-icon-arrowdown': '&#xe909;',
		'sys-icon-arrowdown2': '&#xe90a;',
		'sys-icon-arrowdownM7': '&#xe90b;',
		'sys-icon-arrowleft': '&#xe90c;',
		'sys-icon-arrowleftM7': '&#xe90d;',
		'sys-icon-arrowright': '&#xe90e;',
		'sys-icon-arrowup': '&#xe90f;',
		'sys-icon-arrowup2': '&#xe910;',
		'sys-icon-at': '&#xe911;',
		'sys-icon-backward': '&#xe912;',
		'sys-icon-backward2': '&#xe913;',
		'sys-icon-baobiao': '&#xe914;',
		'sys-icon-caidan': '&#xe915;',
		'sys-icon-chajian': '&#xe916;',
		'sys-icon-close': '&#xe917;',
		'sys-icon-direction-switch': '&#xe918;',
		'sys-icon-dongtai': '&#xe919;',
		'sys-icon-dropdownmax': '&#xe91a;',
		'sys-icon-dropdownmin': '&#xe91b;',
		'sys-icon-duban': '&#xe91c;',
		'sys-icon-expression': '&#xe91d;',
		'sys-icon-foldup': '&#xe91e;',
		'sys-icon-forward': '&#xe91f;',
		'sys-icon-forward2': '&#xe920;',
		'sys-icon-gongzuo': '&#xe921;',
		'sys-icon-gongzuotai': '&#xe922;',
		'sys-icon-jihua': '&#xe923;',
		'sys-icon-jixiao': '&#xe924;',
		'sys-icon-kaohe': '&#xe925;',
		'sys-icon-moren': '&#xe926;',
		'sys-icon-mubiao': '&#xe927;',
		'sys-icon-ocean': '&#xe928;',
		'sys-icon-page-switch': '&#xe929;',
		'sys-icon-ribao': '&#xe92a;',
		'sys-icon-sequencedown': '&#xe92b;',
		'sys-icon-shenpi': '&#xe92c;',
		'sys-icon-shiti': '&#xe92d;',
		'sys-icon-singlebox': '&#xe92e;',
		'sys-icon-sousuo': '&#xe92f;',
		'sys-icon-souye': '&#xe930;',
		'sys-icon-spread': '&#xe931;',
		'sys-icon-tongshi2': '&#xe932;',
		'sys-icon-upload': '&#xe933;',
		'sys-icon-wenjian2': '&#xe934;',
		'sys-icon-xiangmu2': '&#xe935;',
		'sys-icon-yibiao2': '&#xe936;',
		'sys-icon-yingyong2': '&#xe937;',
		'sys-icon-zaopin2': '&#xe938;',
		'sys-icon-zhiye2': '&#xe939;',
		'sys-icon-tongshi': '&#xe900;',
		'sys-icon-wenjian': '&#xe901;',
		'sys-icon-xiangmu': '&#xe902;',
		'sys-icon-yibiao': '&#xe903;',
		'sys-icon-yingyong': '&#xe904;',
		'sys-icon-zaopin': '&#xe905;',
		'sys-icon-zhiye': '&#xe906;',
		'0': 0
	},
	    els = document.getElementsByTagName('*'),
	    i,
	    c,
	    el;
	for (i = 0;; i += 1) {
		el = els[i];
		if (!el) {
			break;
		}
		c = el.className;
		c = c.match(/sys-icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
})();