'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createEntry = require('./react/createEntry');

var _createEntry2 = _interopRequireDefault(_createEntry);

var _configureStore = require('./react/configureStore');

var _configureStore2 = _interopRequireDefault(_configureStore);

var _keymirror = require('./helpers/keymirror');

var _keymirror2 = _interopRequireDefault(_keymirror);

var _getBSGlobal = require('./helpers/getBSGlobal');

var _getBSGlobal2 = _interopRequireDefault(_getBSGlobal);

var _fetch = require('./middleware/fetch');

var _routes = require('./routes');

var _routes2 = _interopRequireDefault(_routes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//中间件


//常量工具
/**
 * Created by liuhuijuan on 16/1/27.
 */

//创建入口页
var TalentCore = {
	CreateEntry: _createEntry2.default,
	ConfigureStore: _configureStore2.default,
	KeyMirrorPlus: _keymirror2.default,
	getBSGlobal: _getBSGlobal2.default,
	CALL_FETCH: _fetch.CALL_FETCH,
	getRouteConfig: _routes2.default
};

exports.default = TalentCore;
module.exports = exports['default'];