'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getRouteConfig = function getRouteConfig(getPageBundle, options, getNextState) {

  var returnArray = [];
  var routeConfig = {
    path: '/',
    childRoutes: [{
      path: '*',
      getComponents: function getComponents(nextState, callback) {
        try {
          var pathName = nextState.location.pathname;
          var pageName = pathName.indexOf("/") != -1 ? pathName.slice(1) : pathName;
          var pageBundle = getPageBundle(pageName);
          if (getNextState) {
            getNextState(nextState); //将nextState开发给业务(临时方案)
          }
        } catch (e) {
          return callback(e);
        }
        pageBundle(function (page) {
          callback(null, page);
        });
      }
    }]
  };

  routeConfig = (0, _assign2.default)(routeConfig, options);
  return routeConfig;
};
exports.default = getRouteConfig;
module.exports = exports['default'];