
// 获取当前执行的 script 标签
var getCurrentScript = function() {
	return document.currentScript || (function() {
	  var scripts = document.getElementsByTagName('script');
	  return scripts[scripts.length - 1];
	})();	
}

/**
* 抛出模块的函数
**/
var exportfn = function(opts) {
	// 数据格式验证
	if(!opts.exports) throw new Error('模块未返回\'exports\'');

	// 创建自定义事件，返回模块对象
	getCurrentScript().dispatchEvent(
		new CustomEvent('export', { detail: opts })
	);
}